/*
 * @Date: 2021-08-30 11:04:35
 * @LastEditors: xfdr0805
 * @LastEditTime: 2021-09-02 10:33:16
 * @FilePath: /gpio_Test_u8g2_amp/global.h
 */

#ifndef __GLOBAL_H__
#define __GLOBAL_H__
#include <stdio.h> //-std=c99  -std=gnu99
#include <stdlib.h>
#include <string.h>
#include <sys/time.h>
#include <unistd.h>

#define DEBUG
#ifdef DEBUG
#define LOG_D(format, ...) printf("[" __FILE__ "@%04d]:" format, __LINE__, ##__VA_ARGS__)
#else
#define LOG_D(...)
#endif
enum IR_KEYMAP
{
    Power = 1,
    Bt,
    Vol_up,
    Vol_down,
    Pre,
    Next,
    Play,
    Opt1,
    Opt2,
    Coax,
    USB

};
typedef enum IR_KEYMAP IR_KEYMAP_t;
extern IR_KEYMAP_t ir_keymap;
typedef struct
{
    uint8_t power;
    uint8_t master_volume;
    uint8_t treble_volume;
    uint8_t bass_volume;
    uint8_t audio_source;
} amp_status_t;

extern amp_status_t amp_status;
int16_t map(int16_t value, int16_t v_min, int16_t v_max, int16_t r_min, int16_t r_max);
int16_t get_system_volume(void);
void _timer_handler(int n);
// void timer_irmp_handler();
uint8_t ir_gpio_get_value();
int list_dir(char *path, int depth);
#endif
